Summary: File transfer utilities between Linux and PalmPilots.
Name: pilot-link
Version: 0.9.3
Release: 10
Source:  ftp://ryeham.ee.ryerson.ca/pub/PalmOS/pilot-link.%{version}.tar.gz 
Patch0: pilot-link-perl-install.patch
Patch1: pilot-link.perl.patch
Patch3: pilot-link-pixdir.patch
Copyright: GPL
Group: Applications/Communications
BuildRoot: /var/tmp/%{name}-root

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot.  It has a
few extra utilities that will allow for things like syncing the
PalmPilot's calendar app with Ical.  Note that you might still need to
consult the sources for pilot-link if you would like the Python, Tcl,
or Perl bindings.

Install pilot-link if you want to synchronize your Palm with your Red
Hat Linux system.

%package devel
Requires: pilot-link
Summary: PalmPilot development header files.
Group: Development/Libraries

%description devel
This package contains the development headers that are used to build
the pilot-link package.  It also includes the static libraries
necessary to build static pilot applications.

If you want to develop PalmPilot synchronizing applications, you'll
need to install pilot-link-devel.

%prep 
%setup -q -n pilot-link.%{PACKAGE_VERSION}
%patch0 -p1 -b .install
%patch1 -p1 -b .perl
%patch3 -p1 -b .pixdir

%build
%configure
# TCLTK_FLAGS is a hack to get around a math.h + -I/usr/include + -O2
# problem in egcs 2.96
make TCLTK_FLAGS="-DTCL -DTK"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall \
     mandir1=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     mandir7=$RPM_BUILD_ROOT/%{_mandir}/man7
strip $RPM_BUILD_ROOT/usr/bin/* || :

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO

%{_libdir}/libpisock.so.3.0.1
%{_libdir}/libpisock.so.3
%{_libdir}/pilot-link/*

%{_bindir}/*
%{_mandir}/man*/*

%files devel
%defattr(-,root,root)
%{_libdir}/libpicc.a
%{_libdir}/libpisock.a
%{_libdir}/libpisock.so
%{_libdir}/libpisock.la
%{_includedir}/*

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Mon Jun  5 2000 Matt Wilson <msw@redhat.com>
- defattr on devel package

* Sat Jun  3 2000 Matt Wilson <msw@redhat.com>
- rebuilt against tcl-8.3.1

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- fix building with egcs 2.96 and gcc 2.2, build against new libstdc++
- use _mandir macro

* Wed Apr  5 2000 Bill Nottingham <notting@redhat.com>
- rebuild against current ncurses/readline

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- call ldconfig directly from postun

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- gzip man pages

* Wed Oct 20 1999 Preston Brown <pbrown@redhat.com>
- upgrade to pilot-link 0.9.3, rewrite spec.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- added missing files from devel subpackage

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- move /usr/lib/pix to /usr/lib/pilot-link (dumb, BAD name)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- arm fix

* Fri Sep 24 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file, updated package

* Tue May 19 1998 Michael Maher <mike@redhat.com>
- updated rpm

* Thu Jan 29 1998 Otto Hammersmith <otto@redhat.com>
- added changelog
- updated to 0.8.9
- removed explicit requires for /usr/bin/perl

